Update the current user
PATCH
/v1/me
curl -X PATCH "https://api.summerbase.com/v1/me" \ -H "Authorization: Bearer sb_..." \ -H "Content-Type: application/json" \ -d '{ "name": "Maya Chen" }'const response = await fetch("https://api.summerbase.com/v1/me", { method: "PATCH", headers: { Authorization: "Bearer sb_...", "Content-Type": "application/json", }, body: JSON.stringify({ "name": "Maya Chen" }),})const data = await response.json()Update the signed-in user’s profile.
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
The name on the account.
string
Example
{ "name": "Maya Chen"}Response
Section titled “Response”Returns the user object.
Media typeapplication/json
Example
{ "created_at": "2025-09-08T13:58:02Z", "email": "maya@example.com", "id": "0198f1a2-6b10-7d2a-b4c5-9e8f7a6b5c41", "name": "Maya Chen", "oauth_provider": "google", "object": "user"}